Add a new communication channel to an existing contact.
curl --request POST \
--url https://api.zavu.dev/v1/contacts/{contactId}/channels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "email",
"identifier": "john.work@company.com",
"label": "work"
}
'{
"channel": {
"id": "<string>",
"channel": "sms",
"identifier": "+14155551234",
"isPrimary": true,
"verified": true,
"createdAt": "2023-11-07T05:31:56Z",
"countryCode": "US",
"label": "work",
"metrics": {
"successCount": 123,
"failureCount": 123,
"totalAttempts": 123,
"avgDeliveryTimeMs": 123,
"lastSuccessAt": "2023-11-07T05:31:56Z"
},
"lastInboundAt": "2023-11-07T05:31:56Z",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request body to add a channel to a contact.
Channel type.
sms, whatsapp, email, telegram, voice Channel identifier (phone number in E.164 format or email address).
"+14155551234"
ISO country code for phone numbers.
2"US"
Optional label for the channel.
50"work"
Whether this should be the primary channel for its type.
Channel added.
A communication channel for a contact.
Show child attributes
curl --request POST \
--url https://api.zavu.dev/v1/contacts/{contactId}/channels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "email",
"identifier": "john.work@company.com",
"label": "work"
}
'{
"channel": {
"id": "<string>",
"channel": "sms",
"identifier": "+14155551234",
"isPrimary": true,
"verified": true,
"createdAt": "2023-11-07T05:31:56Z",
"countryCode": "US",
"label": "work",
"metrics": {
"successCount": 123,
"failureCount": 123,
"totalAttempts": 123,
"avgDeliveryTimeMs": 123,
"lastSuccessAt": "2023-11-07T05:31:56Z"
},
"lastInboundAt": "2023-11-07T05:31:56Z",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
}